TMS
cURL
curl --request PATCH \ --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid} \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "status": "NEW", "purchaseOrder": "<string>", "dateDue": "2023-11-07T05:31:56Z", "note": "<string>", "machineTranslateSettingsPerLangs": [ { "targetLang": "<string>" } ], "archived": true } '
{ "uid": "<string>", "internalId": 123, "id": "<string>", "name": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "domain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "subDomain": { "id": "<string>", "uid": "<string>", "name": "<string>" }, "owner": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" }, "sourceLang": "<string>", "targetLangs": [ "<string>" ], "references": [ { "id": "<string>", "uid": "<string>", "filename": "<string>", "note": "<string>", "dateCreated": "2023-11-07T05:31:56Z", "createdBy": { "firstName": "<string>", "lastName": "<string>", "userName": "<string>", "email": "<string>", "role": "SYS_ADMIN", "id": "<string>", "uid": "<string>" } } ], "mtSettingsPerLanguageList": [ { "targetLang": "<string>", "machineTranslateSettings": { "id": "<string>", "uid": "<string>", "name": "<string>", "type": "<string>" } } ], "userRole": "<string>" }
255
NEW
ASSIGNED
COMPLETED
ACCEPTED_BY_VENDOR
DECLINED_BY_VENDOR
COMPLETED_BY_VENDOR
CANCELLED
Show child attributes
4096
successful operation
Base projectDto
Response differs based on user's role
Was this page helpful?